Package com.smartgwt.client.types

# Enum AutoFitWidthApproach

java.lang.Object
java.lang.Enum<AutoFitWidthApproach>
com.smartgwt.client.types.AutoFitWidthApproach

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<AutoFitWidthApproach>`, `Constable`

public enum AutoFitWidthApproach extends Enum<AutoFitWidthApproach> implements ValueEnum
How should field width be determined when `ListGridField.autoFitWidth` is true?

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTH`
  Size field to fit either the field title or the data values in the field (whichever requires more space).
  `TITLE`
  Size field to fit the field title
  `VALUE`
  Size field to fit to the data value(s) contained in the field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static AutoFitWidthApproach`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AutoFitWidthApproach[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VALUE

    public static final AutoFitWidthApproach VALUE
    Size field to fit to the data value(s) contained in the field.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "value".

  - ### TITLE

    public static final AutoFitWidthApproach TITLE
    Size field to fit the field title

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "title".

  - ### BOTH

    public static final AutoFitWidthApproach BOTH
    Size field to fit either the field title or the data values in the field (whichever requires more space).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "both".

- ## Method Details

  - ### values

    public static AutoFitWidthApproach[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AutoFitWidthApproach valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`